'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _joi = require('joi');

var _joi2 = _interopRequireDefault(_joi);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const paymentDetailsSchema = {
	PaymentRef: _joi2.default.string().regex(/^[A-Z0-9-]*$/),
	AuthCode: _joi2.default.string().alphanum(),
	PaymentAmount: _joi2.default.number().integer().min(10).max(9999),
	PaymentDate: _joi2.default.number().integer(),
	PaymentMethod: _joi2.default.string().regex(/^(CARD|CHEQUE|CASH|POSTAL)$/)
};

exports.default = {
	request: _joi2.default.object().keys({
		PenaltyReference: _joi2.default.string().required().regex(/^[0-9]{12,13}$/),
		PenaltyType: _joi2.default.string().regex(/^(IM|CDN|FPN)$/).required(),
		PenaltyStatus: _joi2.default.string().regex(/^(PAID|UNPAID)$/).required(),
		PaymentDetail: _joi2.default.object(paymentDetailsSchema).required()
	})
};
module.exports = exports['default'];