'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _joi = require('joi');

var _joi2 = _interopRequireDefault(_joi);

var _penaltyValidation = require('./penaltyValidation');

var _penaltyValidation2 = _interopRequireDefault(_penaltyValidation);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
	request: _joi2.default.object().keys({
		Offset: _joi2.default.number().required(),
		Timestamp: _joi2.default.number().required(),
		Location: _joi2.default.string().required(),
		SiteCode: _joi2.default.number().required(),
		VehicleRegistration: _joi2.default.string().required().regex(/^[0-9A-Z,]*$/),
		Penalties: _joi2.default.array().items(_penaltyValidation2.default.request).required(),
		fpnPaymentStartTime: _joi2.default.number(),
		imPaymentStartTime: _joi2.default.number(),
		cdnPaymentStartTime: _joi2.default.number()
	})
};
module.exports = exports['default'];